package com.easyproject.clientbus.service.config;


/**
 * 参数配置 服务层
 *
 * @author java001
 */
public interface IClientConfigService {

    /**
     * 根据键名查询参数配置信息
     *
     * @param configKey 参数键名
     * @return 参数键值
     */
    public String selectConfigByKey(String configKey);

    /**
     * 获取登录验证码开关
     *
     * @return true开启，false关闭
     */
    public boolean selectCaptchaEnabled();

    /**
     * 获取注册验证码开关
     *
     * @return true开启，false关闭
     */
    boolean selectRegisterCaptchaEnabled();
}
